aptitude versions

 ( dash | 2013. február 27., szerda - 10:17 )

A tar.gz-ből telepített firefox alatt néha meg kellene frissíteni a xulrunnert és a libmozjs-t.

Az aptitude versions xulrunner szépen visszaadja hogy az egyes suite-okban milyen verziók elérhetők.

Ennek ellenére az aptitude search ~U nem mutatja hogy majd frissítéskor felrakná az újabbat.

Idő elteltével egy sima aptitude update végén megjelenik egy ilyen üzenet és elhagyja magát:

There are 2 newly obsolete packages: libmozjs18d, xulrunner-18.0

Ilyenkor ugye az adott verzió már nem elérhető.

Arra gondolok, hogy esetleg a verziószám alapvetően nem a csomag nevéből jön, hanem máshol manifesztálódik.

Aztán az apt-pinning-re is gondoltam, de ha rápinnelem akkor sem jó:


Explanation: Update mozilla's stuff from
Explanation: experimental to follow the newest firefox
Explanation: in /usr/local
Package: libmozjs* xulrunner*
Pin: release a=experimental
Pin-Priority: 910

Utána meg arra hogy ha eleve az experimentalból lett feltéve, akkor onnan is kellene továbbfrissülnie (xulrunner non-esr verzió nincs máshol).

Szóval hogyan kellene ennek működnie?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Ahogy nézem,

http://snapshot.debian.org/binary/xulrunner/
http://snapshot.debian.org/binary/xulrunner-17.0/
http://snapshot.debian.org/binary/xulrunner-18.0/
http://snapshot.debian.org/binary/xulrunner-19.0/

ez a csomag nem folytonosan kezelt. 10.0-tól kezdve csak a minor verziók számítanak egy verzión belülinek. A 11, 12, etc. teljesen külön van mint ha már nem is xulrunner lenne, hanem xulrunner-tizenegy stb.

----------
[GB ≠ GiB] [MB ≠ MiB] [kB ≠ kiB] [1000 ≠ 1024] [Giga ≠ gram] [Mega ≠ milli] [Kelvin ≠ kilo] [Byte ≠ bit]